Page MenuHomePhabricator

Too many diffs on this page
Closed, ResolvedPublic

Description

frwiki:Médaille_Fields

----- JS:[230321, 230367] -----
<dl data-parsoid="{}">
<dd data-parsoid="{}">

+++++ PHP:[230321, 230477] +++++
<p data-parsoid="{}">
<span class="mw-poem-indented" style="display: inline-block; margin-left: 1em;" data-parsoid='{"autoInsertedEnd":true,"stx":"html"}'>

----- JS:[230404, 230463] -----
<br data-parsoid='{"selfClose":true,"stx":"html"}'/>
</dd>

+++++ PHP:[230514, 230623] +++++
<span typeof="mw:Entity" data-parsoid='{"src":"&amp;lt;","srcContent":"&lt;"}'>&lt;
</span>br/>
</span>
</p>

----- JS:[230464, 230464] -----

+++++ PHP:[230624, 230647] +++++
<dl data-parsoid="{}">

----- JS:[230526, 230579] -----
<br data-parsoid='{"selfClose":true,"stx":"html"}'/>

+++++ PHP:[230709, 230805] +++++
<span typeof="mw:Entity" data-parsoid='{"src":"&amp;lt;","srcContent":"&lt;"}'>&lt;
</span>br/>

----- JS:[230647, 230700] -----
<br data-parsoid='{"selfClose":true,"stx":"html"}'/>

+++++ PHP:[230873, 230969] +++++
<span typeof="mw:Entity" data-parsoid='{"src":"&amp;lt;","srcContent":"&lt;"}'>&lt;
</span>br/>

----- JS:[230776, 230829] -----
<br data-parsoid='{"selfClose":true,"stx":"html"}'/>

+++++ PHP:[231045, 231141] +++++
<span typeof="mw:Entity" data-parsoid='{"src":"&amp;lt;","srcContent":"&lt;"}'>&lt;
</span>br/>

----- JS:[230894, 230894] -----

+++++ PHP:[231206, 231300] +++++
<meta typeof="mw:Placeholder/StrippedTag" data-parsoid='{"name":"SPAN","src":"&lt;/span>"}'/>

Related Objects

Event Timeline

ssastry triaged this task as Medium priority.Oct 16 2019, 9:01 PM
ssastry created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 16 2019, 9:01 PM
ssastry assigned this task to Sbailey.Oct 16 2019, 9:30 PM
Sbailey added a comment.EditedOct 18 2019, 11:56 PM

The JS Poem extension was also failing to properly handle the following (enhanced slightly WT below) and the PHP Poem was dramatically failing to produce viable HTML from:

est inscrite une phrase en latin :
:<poem>
''CONGREGATI''
:''EX TOTO ORBE''
::''MATHEMATICI''
:::'''OB SCRIPTA INSIGNIA'''
:'''''TRIBUERE'''''
</poem>
qui peut se traduire par

PHP and JS Poem gerrit patch with poemParserTests.txt test
https://gerrit.wikimedia.org/r/#/c/mediawiki/services/parsoid/+/544274/

Will continue checking other diffs now that this first major diff has been resolved.

ssastry closed this task as Resolved.Nov 5 2019, 5:57 PM

I tested on scandium again and no diffs after this fix.

ssastry@scandium:/srv/deployment/parsoid/deploy/src/bin$ node diff.html.js ../tests/testreduce/htmldiffs.config.yaml fr.wikipedia.org Médaille_Fields
fr.wikipedia.org:Médaille_Fields: NO HTML DIFFS FOUND!